<!DOCTYPE html>
<html lang="en">
<head>
<style media="screen">
.rightJustified {
  text-align: right;
}
/*
Force table width to 100%
*/
table.table-fixedheader {
  width: 100%;
}
/*
Set table elements to block mode.  (Normally they are inline).
This allows a responsive table, such as one where columns can be stacked
if the display is narrow.
*/
table.table-fixedheader, table.table-fixedheader>thead, table.table-fixedheader>tbody, table.table-fixedheader>tfoot, table.table-fixedheader>thead>tr, table.table-fixedheader>tbody>tr, table.table-fixedheader>tfoot>tr, table.table-fixedheader>thead>tr>th, table.table-fixedheader>tbody>tr>td, table.table-fixedheader>tfoot>tr>td {
  display: block;
}
table.table-fixedheader>thead>tr:after, table.table-fixedheader>tbody>tr:after, table.table-fixedheader>tfoot>tr:after  {
  content:' ';
  display: block;
  visibility: hidden;
  clear: both;
}
/*
When scrolling the table, actually it is only the tbody portion of the
table that scrolls (not the entire table: we want the thead to remain
fixed).  We must specify an explicit height for the tbody.  We include
100px as a default, but it can be overridden elsewhere.

Also, we force the scrollbar to always be displayed so that the usable
width for the table contents doesn't change (such as becoming narrower
when a scrollbar is visible and wider when it is not).
*/
table.table-fixedheader>tbody {
  overflow-y: scroll;
  height: 24%;

}
/*
We really don't want to scroll the thead contents, but we want to force
a scrollbar to be displayed anyway so that the usable width of the thead
will exactly match the tbody.
*/
table.table-fixedheader>tfoot {
  height: 25px;
  width: 100%;
}
table.table-fixedheader>thead{
  overflow-y: scroll;
  height: 24px;
}
/*
For browsers that support it (webkit), we set the background color of
the unneeded scrollbar in the thead to make it invisible.  (Setting
visiblity: hidden defeats the purpose, as this alters the usable width
of the thead.)
*/
table.table-fixedheader>thead::-webkit-scrollbar {
  background-color: inherit;
}


table.table-fixedheader>thead>tr>th:after, table.table-fixedheader>tbody>tr>td:after, table.table-fixedheader>tfoot>tr>td:after {
  content:' ';
  display: table-cell;
  visibility: hidden;
  clear: both;
}

/*
We want to set <th> and <td> elements to float left.
We also must explicitly set the width for each column (both for the <th>
and the <td>).  We set to 20% here a default placeholder, but it can be
overridden elsewhere.
*/

table.table-fixedheader>thead tr th, table.table-fixedheader>tbody tr td, table.table-fixedheader>tfoot tr td {
  float: left;

}
.nopadding {
  padding: 0 !important;
  margin: 0 !important;
}
#narr {
  max-height: 90px;
  max-width: 450px;
}
label.normal {
    font-weight: normal;
    font-family: 'times new roman';
}
</style>

</head>
<body>
  <!-- Modal -->

  <div id="confirm_del" class="modal fade" tabindex="-1" role="dialog">
      <div class="vertical-alignment-helper">
        <div class="modal-dialog modal-sm vertical-align-center">
          <div class="modal-content">
            <div class="modal-header">

              <h4 class="modal-title">{% trans %}Delete this voucher ?{% endtrans %}</h4>
            </div>
            <div class="modal-body">
              <p>{% trans %}Are you sure?{% endtrans %}</p>
            </div>
            <div class="modal-footer">
              <button type="button" id ="m_cancel" class="btn btn-warning" data-dismiss="modal">{% trans %}No{% endtrans %}</button>
              <button type="button" id="vcdel1" data-dismiss="modal" class="btn btn-success">{% trans %}Yes{% endtrans %}</button>
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
      </div>
    </div><!-- /.modal -->

  <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-body">
          <div class="alert failure-alert" id="notran-del-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Voucher could not be deleted.{% endtrans %}
          </div>
          <div class="alert failure-alert" id="notran-edit-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Voucher could not be edited.{% endtrans %}
          </div>
          <div class="alert failure-alert" id="notran-clone-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Voucher could not be cloned.{% endtrans %}
          </div>
          <div class="alert alert-danger" id="balance-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Totals misbalance!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="invoicebalance-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Voucher total cannot be greater than Invoice total!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="zero-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Voucher amount cannot be zero!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="zerorow-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Voucher with zero amount cannot be saved!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="accs-alert" aria-live="rude" role="alert" hidden>

            {% trans %}An account can be selected only once!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="vno-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Please enter voucher number!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="date-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Please enter voucher date in proper format!{% endtrans %}
          </div>
          <div class="alert alert-warning" id="attachment-alert" aria-live="rude" role="alert" hidden>

            {% trans %}No attachment found!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="between-date-alert" aria-live="rude" role="alert" hidden>

            {% trans %}Please enter voucher date within the financial year!{% endtrans %}
          </div>
          <div class="alert alert-warning nopadding" id="postdate-alert" aria-live="rude" role="alert" hidden>
            <strong>{% trans %}You are entering a post-dated transaction!{% endtrans %}</strong>
          </div>
          <div class="alert alert-danger" id="instrumentno-alert" aria-live="rude" role="alert" hidden>
           {% trans %}Enter Instrument No.!{% endtrans %}
         </div>
            <div class="alert alert-danger" id="bankname-alert" aria-live="rude" role="alert" hidden>
             {% trans %}Enter Bank Name!{% endtrans %}
           </div>
           <div class="alert alert-danger" id="branchname-alert" aria-live="rude" role="alert" hidden>
            {% trans %}Enter Branch Name!{% endtrans %}
          </div>
          <div class="alert alert-danger" id="instrdate-alert" aria-live="rude" role="alert" hidden>
           {% trans %}Enter Proper Instrument Date!{% endtrans %}
         </div>

          <form id="viewvoucher" name="voucher" class="" action="" method="get">
            <div class="form-inline">
              <div class="well well-sm" >
                <label for="vno">{% trans %}Voucher No{% endtrans %} :</label><label for="vno" style="color:red;font-size: 120%;">*</label>
                <input type="text" name="vno" class=" form-control input-sm" id="vno" size="10" value="{{voucher["vouchernumber"]}}">
                <div class="form-group col-xs-offset-2">
                  {% if vtype=="contra" %}
                  <label class="lblec"><i>{% trans %}Contra{% endtrans %}</i></label>
                  {% elif vtype == "payment" %}
                  <label class="lblec"><i>{% trans %}Payment{% endtrans %}</i></label>
                  {% elif vtype == "receipt" %}
                  <label class="lblec"><i>{% trans %}Receipt{% endtrans %}</i></label>
                  {% elif vtype == "journal" %}
                  <label class="lblec"><i>{% trans %}Journal{% endtrans %}</i></label>
                  {% elif vtype == "sales" %}
                  <label class="lblec"><i>{% trans %}Sales{% endtrans %}</i></label>
                  {% elif vtype == "purchase" %}
                  <label class="lblec"><i>{% trans %}Purchase{% endtrans %}</i></label>
                  {% elif vtype == "creditnote" %}
                  <label class="lblec"><i>{% trans %}Credit Note{% endtrans %}</i></label>
                  {% elif vtype == "debitnote" %}
                  <label class="lblec"><i>{% trans %}Debit Note{% endtrans %}</i></label>
                  {% elif vtype == "salesreturn" %}
                  <label class="lblec"><i>{% trans %}Sale Return{% endtrans %}</i></label>
                  {% elif vtype == "purchasereturn" %}
                  <label class="lblec"><i>{% trans %}Purchase Return{% endtrans %}</i></label>
                  {% endif %}
                </div>

                <div class="pull-right form-group">
                  <label for="vdate">{% trans %}<u>D</u>ate{% endtrans %} :</label><label for="vdate" style="color:red;font-size: 120%;">*</label>
                  <input type="text" class="vdate form-control input-sm" id="vdate" value="{{voucher['voucherdate'][:2]}}" size="2" maxlength="2" placeholder="DD"accesskey="d">
                  <input type="text" id="vmonth" class="vdate form-control input-sm" value="{{voucher['voucherdate'][3:5]}}" size="2" maxlength="2" placeholder="MM">
                  <input type="text" id="vyear" class="vdate form-control input-sm" value="{{voucher['voucherdate'][6:]}}" size="4" maxlength="4" placeholder="YYYY">
                </div>
              </div>
            </div>
            {% if invoicedata %}
            <div class="form-inline well well-sm invhide">

              {% if voucher["vvi"] %}
              <div class="form-group" id="viewdiv">

                <label for="invsel">{% trans %}Invoice {% endtrans %} :</label>

                <input id="viewinvsel" value="{{voucher["vvi"]["invoiceno"]}},{{voucher["vvi"]["invoicedate"]}},{{voucher["vvi"]["custSupDetails"]["custname"]}}">


              </div>
              <div class="form-group pull-right" id="invtotaldiv">
                <label for="invtotalvvi">{% trans %} Invoice Total Amount {% endtrans %} :</label>
                <input type="text" id="invtotalvvi" class="form-control input-sm" value="{{voucher["vvi"]["invoicetotal"]}}"  disabled>
                <input id="selinv" value="{{voucher["vvi"]["invid"]}}" hidden>
              </div>
                {% endif %}
                <div class="form-group" div="editdiv">

                  <label id="editinv">{% trans %}Invoice {% endtrans %} :</label>
                <select id="invsel" class="form-control input-sm invoice_no" hidden>
                  <option value="" total="">{% trans %}None{% endtrans %}</option>
                  {% for invoice in invoicedata %}
                  {% if vtype == "purchase" and invoice["csflag"]|int == 19 %}
                  {% if voucher["invid"]|int== invoice['invid']|int %}
                  <option value="{{invoice['invid']}}" total="{{invoice['invoicetotal']}}" customername="{{invoice["custname"]}}" selected>{{invoice["invoiceno"]}}, {{invoice["invoicedate"]}}, {{invoice["custname"]}}</option>
                  {% else %}
                  <option value="{{invoice['invid']}}" total="{{invoice['invoicetotal']}}" customername="{{invoice["custname"]}}">{{invoice["invoiceno"]}}, {{invoice["invoicedate"]}}, {{invoice["custname"]}}</option>
                  {% endif %}
                  {% elif vtype == "sales" and invoice["csflag"]|int == 3 %}
                  {% if voucher["invid"]|int== invoice['invid']|int %}
                  <option value="{{invoice['invid']}}" total="{{invoice['invoicetotal']}}" customername="{{invoice["custname"]}}" selected>{{invoice["invoiceno"]}}, {{invoice["invoicedate"]}}, {{invoice["custname"]}}</option>
                  {% else %}
                  <option value="{{invoice['invid']}}" total="{{invoice['invoicetotal']}}" customername="{{invoice["custname"]}}">{{invoice["invoiceno"]}}, {{invoice["invoicedate"]}}, {{invoice["custname"]}}</option>
                  {% endif %}
                  {% endif %}
                  {% endfor %}

                </select>
              </div>
                <div class="form-group pull-right" id="selinvtotal">
                  <label for="invtotal">{% trans %} Invoice Total Amount {% endtrans %} :</label>
                  <input type="text" id="invtotal" class="form-control input-sm" value="0.00"  disabled>
                </div>
              </div>
              {% endif %}

            <div class="table-responsive" id="demovctable">
              <table class="table table-condensed">
                <thead>
                  <tr>
                    <th width="55px">
                      {% trans %}Cr/Dr{% endtrans %}
                    </th>
                    <th width="40%">
                      {% trans %}Account Name{% endtrans %}
                    </th>

                    <th class="rightJustified">
                      {% trans %}Dr Amount{% endtrans %}
                    </th>
                    <th class="rightJustified">
                      {% trans %}Cr Amount{% endtrans %}
                    </th>
                  </tr>
                </thead>
                <tbody>
                  {% for dr in voucher["drs"] %}
                  <tr>
                    <td>
                      <select class="form-control input-sm democrdr" >
                        <option value="Dr" selected>{% trans %}Dr{% endtrans %}</option>
                        <option value="Cr">{% trans %}Cr{% endtrans %}</option>
                      </select>
                    </td>
                    <td>
                      <select class="form-control input-sm demoaccs">
                        {% for acc in draccounts %}
                        {% if dr==acc['accountname'] %}
                        <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                        {% else %}
                        <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                        {% endif %}
                        {% endfor %}
                      </select>
                    </td>

                    <td>
                      <input class="form-control input-sm demodramt rightJustified" type="text" value="{{voucher["drs"][dr]}}">
                    </td>
                    <td>
                      <input class="form-control input-sm democramt rightJustified" type="text" value="" disabled>
                    </td>
                  </tr>

                  {% endfor %}

                  {% for cr in voucher["crs"] %}
                  <tr>
                    <td>
                      <select class="form-control input-sm democrdr" >
                        <option value="Cr" selected>{% trans %}Cr{% endtrans %}</option>
                        <option value="Dr">{% trans %}Dr{% endtrans %}</option>
                      </select>
                    </td>
                    <td>
                      <select class="form-control input-sm demoaccs">
                        {% for acc in craccounts %}
                        {% if cr==acc['accountname'] %}
                        <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                        {% else %}
                        <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                        {% endif %}

                        {% endfor %}
                      </select>
                    </td>

                    <td>
                      <input class="form-control input-sm demodramt rightJustified" type="text" value="" disabled>
                    </td>
                    <td>
                      <input class="form-control input-sm democramt rightJustified" type="text" value="{{voucher["crs"][cr]}}">
                    </td>
                  </tr>

                  {% endfor %}
                </tbody>
                <tfoot>
                  <tr>
                    <td colspan="2">
                      <input type="text" class="form-control input-sm demottl" value="Total" disabled>
                    </td>
                    <td>
                      <input class="form-control input-sm demottl rightJustified" type="text" value="0.00" disabled>
                    </td>
                    <td>
                      <input class="form-control input-sm demottl rightJustified" type="text" value="0.00" disabled>
                    </td>
                  </tr>
                </tfoot>
              </table>
            </div>


            <div class="table-responsive">
              <table id="vctable" class="table table-condensed table-fixedheader">
                <thead>
                  <tr>
                    <th class="col-xs-1">
                      {% trans %}Cr/Dr{% endtrans %}
                    </th>
                    <th class="col-xs-4">
                      {% trans %}Account Name{% endtrans %}
                    </th>
                    <th class="col-xs-2">
                        {% trans %}Balance{% endtrans %}
                    </th>
                    <th class="col-xs-2 rightJustified">
                      {% trans %}Dr Amount{% endtrans %}
                    </th>
                    <th class="col-xs-2 rightJustified">
                      {% trans %}Cr Amount{% endtrans %}
                    </th>
                    <th class="col-xs-1">
                      {% trans %}Remove{% endtrans %}
                    </th>
                  </tr>
                </thead>
                <tbody>
                  {% for dr in voucher["drs"] %}
                  <tr>
                    <td class="col-xs-1">
                      <select class="form-control input-sm crdr" >
                        <option value="Dr" selected>{% trans %}Dr{% endtrans %}</option>
                        <option value="Cr">{% trans %}Cr{% endtrans %}</option>
                      </select>
                    </td>
                    <td class="col-xs-4">
                      <select class="form-control input-sm accs">
                        {% for acc in draccounts %}
                        {% if dr==acc['accountname'] %}
                        <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                        {% else %}
                        <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                        {% endif %}
                        {% endfor %}
                      </select>
                    </td>
                    <td class="col-xs-2">
                      <input class="form-control input-sm clbal rightJustified" type="text" value="0.00" disabled>
                    </td>
                    <td class="col-xs-2">
                      <input class="form-control input-sm dramt rightJustified" type="text" value="{{voucher["drs"][dr]}}">
                    </td>
                    <td class="col-xs-2">
                      <input class="form-control input-sm cramt rightJustified" type="text" value="" disabled>
                    </td>
                    <td class="col-xs-1">
                      <a href="#" class="del"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
                    </td>
                  </tr>

                  {% endfor %}

                  {% for cr in voucher["crs"] %}
                  <tr>
                    <td class="col-xs-1">
                      <select class="form-control input-sm crdr" >
                        <option value="Cr" selected>{% trans %}Cr{% endtrans %}</option>
                        <option value="Dr">{% trans %}Dr{% endtrans %}</option>
                      </select>
                    </td>
                    <td class="col-xs-4">
                      <select class="form-control input-sm accs">
                        {% for acc in craccounts %}
                        {% if cr==acc['accountname'] %}
                        <option value="{{acc['accountcode']}}" selected>{{acc['accountname']}}</option>
                        {% else %}
                        <option value="{{acc['accountcode']}}">{{acc['accountname']}}</option>
                        {% endif %}

                        {% endfor %}
                      </select>
                    </td >
                    <td class="col-xs-2">
                      <input class="form-control input-sm clbal rightJustified" type="text" value="0.00" disabled>
                    </td>
                    <td class="col-xs-2">
                      <input class="form-control input-sm dramt rightJustified" type="text" value="" disabled>
                    </td>
                    <td class="col-xs-2">
                      <input class="form-control input-sm cramt rightJustified" type="text" value="{{voucher["crs"][cr]}}">
                    </td>
                    <td class="col-xs-1">
                      <a href="#" class="del"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></a>
                    </td>
                  </tr>

                  {% endfor %}
                </tbody>
                <tfoot>
                  <tr>
                    <td class="col-xs-7" colspan="2">
                      <input type="text" class="form-control input-sm ttl" value="Total" disabled>
                    </td>
                    <td class="col-xs-2">
                      <input id="drtotal" class="form-control input-sm ttl rightJustified" type="text" value="0.00" disabled>
                    </td>
                    <td class="col-xs-2">
                      <input id="crtotal" class="form-control input-sm ttl rightJustified" type="text" value="0.00" disabled>
                    </td>
                  </tr>
                </tfoot>
              </table>
            </div>

            <div class="col-xs-1">
                {% if  projects %}
              <label for="project">{% trans %}Pro<u>j</u>ect{% endtrans %} :</label>
            </div>
            <div class="col-xs-3">
              <select class="form-control input-sm" id="project" accesskey="j">

                {% for project in projects %}
                {% if project['projectcode']==voucher["project"] %}
                <option value="{{project['projectcode']}}" selected>{{project['projectname']}}</option>
                <option value="" >{% trans %}None{% endtrans %}</option>
                {% else %}
                <option value="{{project['projectcode']}}">{{project['projectname']}}</option>
                {% endif %}
                {% endfor %}}

                {% if voucher["project"]==None %}
                <option value="" selected>{% trans %}None{% endtrans %}</option>
                {% endif %}
              </select>
                {% endif %}
            </div>
            <div class="col-md-12 row">
                <div class=" pull-left col-md-6">
            <div class="col-xs-1 pull-left">
              <label for="narration" >{% trans %}Narration{% endtrans %}:</label>
            </div>
            <br>


              <textarea class="form-control" name="narration" id="narr" rows="2" cols="20" accesskey="">{{voucher["narration"]}}</textarea>

            </div>
            <div class=" col-md-6">
            <input type="hidden" id="m_vtype" name="m_vtype" value="{{vtype}}">
            {% if voucher['instrumentno'] != None %}
              <div id="instrumentmodal" tabindex="-1" role="dialog">

                    <h5>  {% trans %}Bank Details{% endtrans %}</h5>
<input type="hidden" id="bankflag" name="bankflag" value="1">
                  <div class="row">
                          <div class="col-xs-12">
<table class="table table-bodered" >
  <tbody>

                                   <tr style="height:10px;">
                                   <td><label class="normal" for="instrumentno">{% trans %}Instrument No{% endtrans %} :</label></td>
                                   <td><input class="form-control input-sm" disabled id="instrumentno" placeholder="{% trans %}Enter Instrument no{% endtrans %}" value={{voucher['instrumentno']}}></td>
                                   </tr>
                                   <tr>
                                   <td><label class="normal"for="bankname">{% trans %}Bank Name{% endtrans %} :</label></td>
                                   <td><input class="form-control input-sm" disabled id="bankname" placeholder="{% trans %}Enter Bank Name{% endtrans %}" value="{{voucher["bankname"]}}"></td>
                                   </tr>
                                   <tr>
                                   <td><label for="branchname" class="normal">{% trans %}Branch Name{% endtrans %} :</label></td>
                                   <td><input class="form-control input-sm" disabled id="branchname" placeholder="{% trans %}Enter Branch Name{% endtrans %}" value="{{voucher["branchname"]}}"></td>
                                   </tr>
                                   <tr>
                                        <td><label for="instrument_date" class="normal">{% trans %}Instrument Date:{% endtrans %}</label></td>
                                        <td>
                                          <div class="form-inline">
                                          <div class="form-group">
                                            <input type="text" class="form-control input-sm instrdate" disabled size="2" maxlength="2" placeholder="DD" id="instrument_date" value="{{voucher['instrumentdate'][:2]}}">
                                      <input type="text" class="form-control input-sm instrdate" size="2" disabled maxlength="2" placeholder="MM" id="instrument_month" value="{{voucher['instrumentdate'][3:5]}}">
                                                <input type="text" class="form-control input-sm instrdate" size="4" disabled maxlength="4" placeholder="YYYY" id="instrument_year" value="{{voucher['instrumentdate'][6:]}}" >
                                          </div>
                                              </div>
</td>

</tr>
                                  </div>

  </tbody>
</table>
                           </div>
                        </div>

              </div>
              {%endif%}

              <div id="addbankdetailsdiv" tabindex="-1" role="dialog" hidden>

                                 <h5>  {% trans %}Bank Details{% endtrans %}</h5>
             <input type="hidden" id="bankflag2" name="bankflag" value="1">
                               <div class="row">
                                       <div class="col-xs-12">
             <table class="table table-bodered" >
               <tbody>

                                                <tr style="height:10px;">
                                                <td><label class="normal" for="instrumentno">{% trans %}Instrument No{% endtrans %} :</label></td>
                                                <td><input class="form-control input-sm" disabled id="instrumentno" placeholder="{% trans %}Enter Instrument no{% endtrans %}" ></td>
                                                </tr>
                                                <tr>
                                                <td><label class="normal"for="bankname">{% trans %}Bank Name{% endtrans %} :</label></td>
                                                <td><input class="form-control input-sm" disabled id="bankname" placeholder="{% trans %}Enter Bank Name{% endtrans %}" ></td>
                                                </tr>
                                                <tr>
                                                <td><label for="branchname" class="normal">{% trans %}Branch Name{% endtrans %} :</label></td>
                                                <td><input class="form-control input-sm" disabled id="branchname" placeholder="{% trans %}Enter Branch Name{% endtrans %}" ></td>
                                                </tr>
                                                <tr>
                                                     <td><label for="instrument_date" class="normal">{% trans %}Instrument Date:{% endtrans %}</label></td>
                                                     <td>
                                                       <div class="form-inline">
                                                       <div class="form-group">
                                                         <input type="text" class="form-control input-sm instrdate" disabled size="2" maxlength="2" placeholder="DD" id="instrument_date" >
                                                   <input type="text" class="form-control input-sm instrdate" size="2" disabled maxlength="2" placeholder="MM" id="instrument_month" >
                                                             <input type="text" class="form-control input-sm instrdate" size="4" disabled maxlength="4" placeholder="YYYY" id="instrument_year" >
                                                       </div>
                                                           </div>
             </td>

             </tr>
                                               </div>

               </tbody>
             </table>
                                        </div>
                                     </div>

                           </div>

</div><!--Last div-->

          </form>
          <input type="hidden" id="vcode" name="vcode" value="{{voucher['vouchercode']}}"></input>


        </div>
        <br>
        <br>

        <br>
        <br>

                <br>
                <br>
        <div class="modal-footer">
          <div id="butform" class="form-inline pull-left ">
            <div class="form-group pull-left">
              {% if voucher['status'] %}
              <button type="button" class="btn btn-warning btn-sm" id="lock" value="Unlock" accesskey="k">{% trans %}Unloc<u>k</u>{% endtrans %}</button>
              {% else %}
              <button type="button" class="btn btn-warning btn-sm" id="lock" value="Lock" accesskey="k">{% trans %}Loc<u>k</u>{% endtrans %}</button>
              {% endif %}
              <button type="button" class="btn btn-primary btnfocus btn-sm" id="edit" >{% trans %}Edit{% endtrans %}</button>
              <button type="button" class="btn btn-primary btnfocus btn-sm" id="clone" accesskey="o">{% trans %}Cl<u>o</u>ne{% endtrans %}</button>
              <button type="submit" id="save" class="btn btn-success btn-sm" accesskey="a">{% trans %}S<u>a</u>ve{% endtrans %}</button>
              <button type="button" class="btn btn-danger btnfocus btn-sm" id="delete" >{% trans %}Delete{% endtrans %}</button>
              <button type="button" class="btn btn-success btn-sm" id="printvoucher" accesskey="v">{% trans %}Print <u>V</u>oucher{% endtrans %}</button>

    {%if vtype == "receipt" or vtype == "payment"%}
                {% if voucher['instrumentno'] == None or voucher['instrumentno'] == ""  %}
                <button class="btn btn-primary btn-sm" type="button" id="instrumentbtn2"  hidden accesskey="i">{% trans %}Add Bank Deta<u>i</u>ls{% endtrans %}</button>
                {%endif%}

                {%endif%}

              {% if voucher["attachmentcount"]>0 %}
		<button type="button" class="btn btn-info btnfocus btn-sm" id="viewattach" >{% trans %}View Attachment{% endtrans %}</button>
            </div>
              {% else %}
            <div class="form-group" id="replaceattach">
              <label class="btn btn-info btn-sm" id="attachlbl" for="my-edit-file-selector">
                <input name="img" accesskey="h" class="input-sm" multiple accept="image/*" id="my-edit-file-selector" type="file" style="display:none;" onchange="$('#upload-file-info').html(this.files.length+' selected');">
                <b id="attachtext">{% trans %}Add Attachment{% endtrans %}</b>
              </label>
              <span class='label label-info' id="upload-file-info"></span>
	      <small class="form-text text-danger text-muted">(JPEG images only.)</small>
            </div>
            {% endif %}
            <div class="form-group" id="clonereplaceattach">
              <label class="btn btn-info btn-sm" id="attachlbl" for="my-edit-file-selector">
                <input name="img" accesskey="h" class="input-sm" multiple accept="image/*" id="my-edit-file-selector" type="file" style="display:none;" onchange="$('#upload-file-info').html(this.files.length+' selected');">
                <b id="attachtext">{% trans %}Add Attac<u>h</u>ment{% endtrans %}</b>
              </label>
              <span class='label label-info' id="upload-file-info"></span>
            </div>
            <div class="form-group">
              <button type="button" class="btn btn-danger btn-sm pull-right" id="vouchercancel" accesskey="b" name="button">{% trans %}<u>B</u>ack{% endtrans %}</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/jquery.numeric.min.js')}}"></script>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/editclone.js')}}"></script>
</body>
</html>
